/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\shimering effusion\mobiles\CrystalSeaSerpent.cs
Lines of code: 93
***********************************************************/


using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a crystal sea serpents corpse" )]
	public class CrystalSeaSerpent : BaseCreature
	{
		[Constructable]
		public CrystalSeaSerpent() : base( AIType.AI_Super, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a crystal sea serpent";
			Body = 150;
			BaseSoundID = 447;
			Hue = Utility.RandomList(1150, 1151, 1153, 1154, 587);

			SetStr( 312, 394 );
			SetDex( 108, 131 );
			SetInt( 117, 154 );

			SetHits( 261, 307 );
			SetStam( 108, 131 );
			SetMana( 117, 154 );

			SetDamage( 13, 26 );

			SetDamageType( ResistanceType.Physical, 10 );
			SetDamageType( ResistanceType.Cold, 45 );
			SetDamageType( ResistanceType.Energy, 45 );

			SetResistance( ResistanceType.Physical, 59, 69 );
			SetResistance( ResistanceType.Fire, 0);
			SetResistance( ResistanceType.Cold, 75, 88 );
			SetResistance( ResistanceType.Poison, 22, 29 );
			SetResistance( ResistanceType.Energy, 69, 74 );

			SetSkill( SkillName.MagicResist, 65.7, 74.2 );
			SetSkill( SkillName.Tactics, 64.9, 67.9 );
			SetSkill( SkillName.Wrestling, 66.1, 69.3 );

			Fame = 6500;
			Karma = -6500;

			VirtualArmor = 30;
			CanSwim = true;
			CantWalk = true;

			if ( Utility.RandomBool() )
				PackItem( new SulfurousAsh( 4 ) );
			else
				PackItem( new BlackPearl( 4 ) );

			PackItem( new RawFishSteak() );
			
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Meager, 2 );
			AddLoot( LootPack.Average, 2 );
		}

		public override bool HasBreath{ get{ return true; } }
		public override int BreathEnergyDamage{ get{ return 50; } } 
		public override int BreathColdDamage{ get{ return 50; } }
		public override int BreathFireDamage{ get{ return 0; } }
		public override int BreathEffectHue{ get{ return 0x1ED; } }
		public override double BreathDamageScalar{ get{ return 0.55; } }
		public override int TreasureMapLevel{ get{ return 3; } }
		public override int Meat{ get{ return 10; } }
		public override int Hides{ get{ return 10; } }
		public override HideType HideType{ get{ return HideType.Horned; } }
		public override int Scales{ get{ return 8; } }
		public override ScaleType ScaleType{ get{ return ScaleType.Blue; } } 
		public override bool Unprovokable{ get{ return true; } }
		public override bool Uncalmable{ get{ return true; } }
		public override bool IsMLCreature { get { return true;} }

		public CrystalSeaSerpent( Serial serial ) : base( serial )
		{
		}
		
		public override void OnDeath( Container c )
		{
			if ( Utility.Random( 10 ) == 0 )
			{		
				Item item;

				switch ( Utility.Random( 1 ))
				{
					default:
					case 1: item = new crushedcrystals(); break;
				}

				c.DropItem( item );
			}

			base.OnDeath( c );
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}